---
title: VRDisplayEvent.VRDisplayEvent()
slug: Web/API/VRDisplayEvent/VRDisplayEvent
tags:
  - API
  - Constructor
  - Experimental
  - Reference
  - VR
  - VRDisplayEvent
  - Virtual Reality
  - WebVR
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The {{domxref("VRDisplayEvent")}} constructor creates a <code>VRDisplayEvent</code> object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myEventObject = new VRDisplayEvent(<em>type</em>, <em>eventInitDict</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><em>type</em></dt>
	<dd>A {{domxref("DOMString")}} describing the type of event object you want to create.</dd>
	<dt><em>eventInitDict</em></dt>
	<dd>A object contaning initialization options to use when creating the constructor. These are:
	<dl>
		<dt><code>display</code></dt>
		<dd>A property containing the {{domxref("VRDisplay")}} the event is to be associated with.</dd>
		<dt><code>reason</code></dt>
		<dd>A property containing a string representing the human-readable reason why the event is to be fired (see {{domxref("VRDisplayEvent.reason")}}).</dd>
	</dl>
	</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var myEventObject = new VRDisplayEvent('custom', {
  display: vrDisplay,
  reason: 'Custom reason'
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('WebVR 1.1', '#dom-vrdisplayevent-vrdisplayevent', 'VRDisplayEvent()')}}</td>
			<td>{{Spec2('WebVR 1.1')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.VRDisplayEvent.VRDisplayEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
	<li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
